-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Written by Kimberly L. Tripp, SQLskills.com
-- All Rights Reserved.
-- 
-- For more scripts, sample code and additional training resources,
-- go to http://www.SQLskills.com
--	Immerse yourself in SQL Server
--
-- Disclaimer - Thoroughly test this script, execute at your own risk.
-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

-- This script is the combination of the three I typically use... all three ways to grab information
-- have different purposes and different uses. I hope you enjoy! kt

-- Out of laziness you can grab the column list - 

---------------------------------------------------------------------------------------
-- These scripts add your alias and [ ] brackets
---------------------------------------------------------------------------------------

-- Make sure to change the alias to whatever you want AND change the tablename
SELECT 't.' + QUOTENAME(sc.name, ']') + ', '
FROM dbo.syscolumns AS sc
WHERE sc.[id] = object_id('tablename')
ORDER BY sc.colid

-- OR using Information_Schema Views you can use this:

SELECT 't.' + QUOTENAME(isc.column_name, ']') + ', '
FROM information_schema.[columns] AS isc
WHERE isc.table_name = 'tablename'
ORDER BY isc.ordinal_position

-- Here's an example to grab the column list for northwind.dbo.customers
SELECT 'c.' + QUOTENAME(isc.column_name, ']') + ', '
FROM northwind.information_schema.[columns] AS isc
WHERE isc.table_name = 'customers'
ORDER BY isc.ordinal_position

---------------------------------------------------------------------------------------
-- If you want to change column headers then this one will grab those as well!!!
---------------------------------------------------------------------------------------

-- Make sure to change the alias to whatever you want AND change the tablename
SELECT 't.' + QUOTENAME(sc.name, ']') + ' AS ' + QUOTENAME(sc.[name], ']') +  ', '
FROM dbo.syscolumns AS sc
WHERE sc.[id] = object_id('tablename')
ORDER BY sc.colid

-- OR using Information_Schema Views you can use this:

SELECT 't.' + QUOTENAME(isc.column_name, ']') + ' AS ' + QUOTENAME(isc.column_name, ']') +  ', '
FROM information_schema.[columns] AS isc
WHERE isc.table_name = 'tablename'
ORDER BY isc.ordinal_position

-- Here's an example to grab the column list for northwind.dbo.customers
SELECT 'c.' + QUOTENAME(isc.column_name, ']') + ' AS ' + QUOTENAME(isc.column_name, ']') + ', '
FROM northwind.information_schema.[columns] AS isc
WHERE isc.table_name = 'customers'
ORDER BY isc.ordinal_position