-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-- Written by Kimberly L. Tripp, SQLskills.com
-- All Rights Reserved.
-- 
-- For more scripts, sample code and additional training resources,
-- go to http://www.SQLskills.com
--	Immerse yourself in SQL Server
--
-- Disclaimer - Thoroughly test this script, execute at your own risk.
-- ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


SET STATISTICS IO ON
-- Turn Graphical Showplan ON (Ctrl+K)

DBCC FREEPROCCACHE            --Clears all plans from cache
DBCC DROPCLEANBUFFERS    --Clears all data from cache

SELECT * FROM master..syscacheobjects
    WHERE cacheobjtype = 'Executable Plan'

SELECT * FROM dbo.titles WHERE price = 19.99
SELECT * FROM dbo.titles WHERE price = 199.99
SELECT * FROM dbo.titles WHERE price = $19.99

-- Dynamic String Execution vs sp_executesql
DECLARE @price    money,
                @ExecStr    nvarchar(4000)
SET @price = 19.99
SELECT @ExecStr = 'SELECT * FROM dbo.titles WHERE price = ' +
                                           convert(varchar(10), @price)
EXEC(@ExecStr)
-- or to force caching (caching by specification) 
-- use sp_executesql
DECLARE @ExecStr    nvarchar(4000)
SELECT @ExecStr = 'SELECT * FROM dbo.titles WHERE price = @price'
EXEC sp_executesql @ExecStr,
                                    N'@price money',
                                    19.99
